# Contributing to {{ cookiecutter.project_name }}

We love developers and want to hear your input! Contributing to this project should be as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Becoming a maintainer
- Or just sharing ideas 💡

---

## 📦 We develop with GitHub

We use GitHub to host code, track issues and feature requests, and accept pull requests.

## 🔁 We follow the [GitHub flow](https://guides.github.com/introduction/flow/)

Pull requests are the best way to propose changes to the codebase. We actively welcome them!

### How to contribute:

1. Fork the repo and create your branch from `main`
2. Add tests for any new functionality
3. Update documentation for API changes
4. Ensure all tests pass with `pytest`
5. Run `pylint` to lint your code
6. Submit your pull request — we'll review it quickly!

---

## 🐞 Reporting Bugs

Use [GitHub Issues](https://github.com/{{ cookiecutter.github_username }}/{{ cookiecutter.project_slug }}/issues) to track bugs.
[Open a new issue](https://github.com/{{ cookiecutter.github_username }}/{{ cookiecutter.project_slug }}/issues/new/choose) and include:

- A quick summary
- Steps to reproduce (with code if possible)
- What you expected to happen
- What actually happened
- Any relevant notes or theories

---

## 📝 Licensing

By submitting a contribution, you agree that your code will be licensed under the [MIT License](https://choosealicense.com/licenses/mit/) — the same license that covers this project.

---

## 🙏 Credits

This document was adapted from [briandk's CONTRIBUTING.md template](https://gist.github.com/briandk/3d2e8b3ec8daf5a27a62).
